# CoinMetricsClient.get\_stream\_asset\_quotes

```python
coinmetrics.api_client.CoinMetricsClient.get_stream_asset_quotes(
    assets,
    aggregation_method=None,
    backfill=None,
)
```

Returns a websocket stream of asset quotes for the requested assets.

* **Parameters:**
  * **assets** (*Union* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *,* *List* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- Comma separated list of assets. Use the /catalog-all/assets endpoint for the full list of supported assets.
  * **aggregation\_method** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- The method to use for aggregation.
  * **backfill** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- What data should be sent upon a connection. By default the latest values are sent just before real-time data.
* **Returns:**

**Returns:**

* [CmStream](https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/timeseries/pages/bqX2N1JuIuxQlz60rVmB#coinmetrics.api_client.CmStream)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/timeseries/get_stream_asset_quotes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
